function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { defineComponent, $prefix, $props, $setup } from "@xmweb-ui/vue-common";
import MobileTemplate from "./mobile.js";
var template = function template2(mode) {
  return MobileTemplate;
};
var IndexBar = defineComponent({
  name: $prefix + "IndexBar",
  props: _extends({}, $props, {
    indexList: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  }),
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
});
var version = "2.8.0";
IndexBar.install = function(Vue) {
  Vue.component(IndexBar.name, IndexBar);
};
IndexBar.version = version;
export {
  IndexBar as default
};
